Innehåll

# UBound Function

Returnerar en matris övre gräns.

### Syntax:

    UBound (MatrisNamn [, Dimension])

### Return type:

Long

### Parametrar:

ArrayName: Den matris vars övre begränsning (UBound) eller undre begränsning (LBound) ska returneras.

[Dimension]: Heltal som anger i vilken dimension den övre (UBound) resp. nedre (LBound) begränsningen ska kontrolleras. Om värdet utelämnas returneras begränsningen för den första dimensionen.

### Felkoder:

5 Felaktigt proceduranrop

9 Index utanför angivet spann

### Exempel:

    Sub VectorBounds
        Dim v(10 To 20) As String
        Print LBound(v()) ' 10
        Print UBound(v) ' 20
    End Sub

    Sub TableBounds
        Dim t(10 To 20,-5 To 70) As Currency
        Print LBound(t), UBound(t()) ' 10  20
        Print LBound(t(),2) ' -5
        Print UBound(t,2) ' 70
    End Sub